/* Book Replication Files */

set memory 25000
use "C:\Documents and Settings\Nate\My Documents\Nate's Docs\Research Projects\Princeton Book\Data\fdipanel.dta"
sort var254 year
set matsize 800
drop if var254==.
set more off
gen cnumber=var254 
drop fin
/* Construct Country Dummy Variables */
generate afg=0
replace afg=1 if cnumber==1 
generate alb=0
replace alb=1 if cnumber==2
generate alg=0
replace alg=1 if cnumber==3
generate and=0
replace and=1 if cnumber==4
generate ang=0
replace ang=1 if cnumber==5
generate ant=0
replace ant=1 if cnumber==6
generate arg=0
replace arg=1 if cnumber==7
generate aru=0
replace aru=1 if cnumber==8
generate aus=0
replace aus=1 if cnumber==9
generate aust=0
replace aust=1 if cnumber==10
generate bah=0
replace bah=1 if cnumber==11
generate bahr=0
replace bahr=1 if cnumber==12
generate ban=0
replace ban=1 if cnumber==13
generate bar=0
replace bar=1 if cnumber==14
generate bel=0
replace bel=1 if cnumber==15
generate beli=0
replace beli=1 if cnumber==16
generate ben=0
replace ben=1 if cnumber==17
generate ber=0
replace ber=1 if cnumber==18
generate bhu=0
replace bhu=1 if cnumber==19
generate bol=0
replace bol=1 if cnumber==20
generate bot=0
replace bot=1 if cnumber==21
generate bra=0
replace bra=1 if cnumber==22
generate bru=0
replace bru=1 if cnumber==23
generate bul=0
replace bul=1 if cnumber==24
generate bur=0
replace bur=1 if cnumber==25
generate buru=0
replace buru=1 if cnumber==26
generate cam=0
replace cam=1 if cnumber==27
generate came=0
replace came=1 if cnumber==28
generate can=0
replace can=1 if cnumber==29
generate cap=0
replace cap=1 if cnumber==30
generate cay=0
replace cay=1 if cnumber==31
generate cen=0
replace cen=1 if cnumber==32
generate chad=0
replace chad=1 if cnumber==33
generate chan=0
replace chan=1 if cnumber==34
generate chi=0
replace chi=1 if cnumber==35
generate china=0
replace china=1 if cnumber==36
generate hong=0
replace hong=1 if cnumber==37
generate col=0
replace col=1 if cnumber==38
generate com=0
replace com=1 if cnumber==39
generate congo=0
replace congo=1 if cnumber==40
generate conrep=0
replace conrep=1 if cnumber==41
generate costa=0
replace costa=1 if cnumber==42
generate cote=0
replace cote=1 if cnumber==43
generate cuba=0
replace cuba=1 if cnumber==44
generate cyp=0
replace cyp=1 if cnumber==45
generate cze=0
replace cze=1 if cnumber==46
generate slovak=0
replace slovak=1 if cnumber==47
generate den=0
replace den=1 if cnumber==48
generate dji=0
replace dji=1 if cnumber==49
generate dom=0
replace dom=1 if cnumber==50
generate domrep=0
replace domrep=1 if cnumber==51
generate eca=0
replace eca=1 if cnumber==52
generate egy=0
replace egy=1 if cnumber==53
generate elsal=0
replace elsal=1 if cnumber==54
generate eri=0
replace eri=1 if cnumber==55
generate eth=0
replace eth=1 if cnumber==56
generate fae=0
replace fae=1 if cnumber==57
generate fiji=0
replace fiji=1 if cnumber==58
generate fin=0
replace fin=1 if cnumber==59
generate fra=0
replace fra=1 if cnumber==60
generate fregui=0
replace fregui=1 if cnumber==61
generate frepol=0
replace frepol=1 if cnumber==62
generate gabon=0
replace gabon=1 if cnumber==63
generate gam=0
replace gam=1 if cnumber==64
generate ger=0
replace ger=1 if cnumber==65
generate gha=0
replace gha=1 if cnumber==66
generate greece=0
replace greece=1 if cnumber==67
generate green=0
replace green=1 if cnumber==68
generate gre=0
replace gre=1 if cnumber==69
generate guad=0
replace guad=1 if cnumber==70
generate guam=0
replace guam=1 if cnumber==71
generate guat=0
replace guat=1 if cnumber==72
generate guinea=0
replace guinea=1 if cnumber==73
generate guinbis=0
replace guinbis=1 if cnumber==74
generate guy=0
replace guy=1 if cnumber==75
generate hai=0
replace hai=1 if cnumber==76
generate hond=0
replace hond=1 if cnumber==77
generate hung=0
replace hung=1 if cnumber==78
generate ice=0
replace ice=1 if cnumber==79
generate india=0
replace india=1 if cnumber==80
generate indo=0
replace indo=1 if cnumber==81
generate iran=0
replace iran=1 if cnumber==82
generate iraq=0
replace iraq=1 if cnumber==83
generate ire=0
replace ire=1 if cnumber==84
generate isle=0
replace isle=1 if cnumber==85
generate isr=0
replace isr=1 if cnumber==86
generate ita=0
replace ita=1 if cnumber==87
generate jam=0
replace jam=1 if cnumber==88
generate jap=0
replace jap=1 if cnumber==89
generate jor=0
replace jor=1 if cnumber==90
generate ken=0
replace ken=1 if cnumber==91
generate kiri=0
replace kiri=1 if cnumber==92
generate korrep=0
replace korrep=1 if cnumber==93
generate kordem=0
replace kordem=1 if cnumber==94
generate kuw=0
replace kuw=1 if cnumber==95
generate lao=0
replace lao=1 if cnumber==96
generate leb=0
replace leb=1 if cnumber==97
generate leso=0
replace leso=1 if cnumber==98
generate libe=0
replace libe=1 if cnumber==99
generate libya=0
replace libya=1 if cnumber==100
generate lux=0
replace lux=1 if cnumber==101
generate macao=0
replace macao=1 if cnumber==102
generate mada=0
replace mada=1 if cnumber==103
generate malaw=0
replace malaw=1 if cnumber==104
generate malay=0
replace malay=1 if cnumber==105
generate mald=0
replace mald=1 if cnumber==106
generate mali=0
replace mali=1 if cnumber==107
generate malta=0
replace malta=1 if cnumber==108
generate marsh=0
replace marsh=1 if cnumber==109
generate marti=0
replace marti=1 if cnumber==110
generate maurita=0
replace maurita=1 if cnumber==111
generate mauriti=0
replace mauriti=1 if cnumber==112
generate may=0
replace may=1 if cnumber==113
generate mex=0
replace mex=1 if cnumber==114
generate micro=0
replace micro=1 if cnumber==115
generate mong=0
replace mong=1 if cnumber==116
generate moro=0
replace moro=1 if cnumber==117
generate mozam=0
replace mozam=1 if cnumber==118
generate myan=0
replace myan=1 if cnumber==119
generate namib=0
replace namib=1 if cnumber==120
generate nepal=0
replace nepal=1 if cnumber==121
generate nether=0
replace  nether=1 if cnumber==122
generate nethant=0
replace nethant=1 if cnumber==123
generate newcal=0
replace newcal=1 if cnumber==124
generate newzea=0
replace newzea=1 if cnumber==125
generate nicara=0
replace nicara=1 if cnumber==126
generate niger=0
replace niger=1 if cnumber==127
generate nigeria=0
replace nigeria=1 if cnumber==128
generate nor=0
replace nor=1 if cnumber==129
generate oman=0
replace oman=1 if cnumber==130
generate pak=0
replace pak=1 if cnumber==131
generate pan=0
replace pan=1 if cnumber==132
generate papu=0
replace papu=1 if cnumber==133
generate para=0
replace para=1 if cnumber==134
generate peru=0
replace peru=1 if cnumber==135
generate phili=0
replace phili=1 if cnumber==136
generate pol=0
replace pol=1 if cnumber==137
generate port=0
replace port=1 if cnumber==138
generate puer=0
replace puer=1 if cnumber==139
generate qatar=0
replace qatar=1 if cnumber==140
generate reuni=0
replace reuni=1 if cnumber==141
generate rom=0
replace rom=1 if cnumber==142
generate rwa=0
replace rwa=1 if cnumber==143
generate stkitt=0
replace  stkitt=1 if cnumber==144
generate stluc=0
replace stluc=1 if cnumber==145
generate stvin=0
replace stvin=1 if cnumber==146
generate samoa=0
replace samoa=1 if cnumber==147
generate sau=0
replace sau=1 if cnumber==148
generate sene=0
replace sene=1 if cnumber==149
generate sey=0
replace sey=1 if cnumber==150
generate sie=0
replace sie=1 if cnumber==151
generate sing=0
replace sing=1 if cnumber==152
generate solo=0
replace solo=1 if cnumber==153
generate soma=0
replace soma=1 if cnumber==154
generate south=0
replace south=1 if cnumber==155
generate spa=0
replace spa=1 if cnumber==156
generate sri=0
replace sri=1 if cnumber==157
generate sud=0
replace sud=1 if cnumber==158
generate sur=0
replace sur=1 if cnumber==159
generate swa=0
replace swa=1 if cnumber==160
generate swe=0
replace swe=1 if cnumber==161
generate swi=0
replace swi=1 if cnumber==162
generate syr=0
replace syr=1 if cnumber==163
generate tan=0
replace tan=1 if cnumber==164
generate tha=0
replace tha=1 if cnumber==165
generate togo=0
replace togo=1 if cnumber==166
generate tonga=0
replace tonga=1 if cnumber==167
generate tri=0
replace tri=1 if cnumber==168
generate tun=0
replace tun=1 if cnumber==169
generate tur=0
replace tur=1 if cnumber==170
generate uga=0
replace uga=1 if cnumber==171
generate uae=0
replace uae=1 if cnumber==172
generate uk=0
replace uk=1 if cnumber==173
generate us=0
replace us=1 if cnumber==174
generate uru=0
replace uru=1 if cnumber==175
generate armen=0
replace armen=1 if cnumber==176
generate azer=0
replace azer=1 if cnumber==177
generate belar=0
replace belar=1 if cnumber==178
generate eston=0
replace eston=1 if cnumber==179
generate georg=0
replace georg=1 if cnumber==180
generate kazakh=0
replace kazakh=1 if cnumber==181
generate kyrgyz=0
replace kyrgyz=1 if cnumber==182
generate latvia=0
replace latvia=1 if cnumber==183
generate lithua=0
replace lithua=1 if cnumber==184
generate moldov=0
replace moldov=1 if cnumber==185
generate russia=0
replace russia=1 if cnumber==186
generate tajik=0
replace tajik=1 if cnumber==187
generate turkmen=0
replace turkmen=1 if cnumber==188
generate ukraine=0
replace ukraine=1 if cnumber==189
generate uzbek=0
replace uzbek=1 if cnumber==190
generate vanu=0
replace vanu=1 if cnumber==191
generate vene=0
replace vene=1 if cnumber==192
generate virg=0
replace virg=1 if cnumber==193
generate viet=0
replace viet=1 if cnumber==194
generate yem=0
replace yem=1 if cnumber==195
generate bosni=0
replace bosni=1 if cnumber==196
generate croat=0
replace croat=1 if cnumber==197
generate macedo=0
replace macedo=1 if cnumber==198
generate sloven=0
replace sloven=1 if cnumber==199
generate zamb=0
replace zamb=1 if cnumber==200
generate zimb=0
replace zimb=1 if cnumber==201


/* Chapter 4: Democracy */
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise

xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise

xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 reg afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise
treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg reg d1 d2 d3 afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb,treat(reg=stra lgdppc)

/* Chapter 5: Federalism and Veto Players */
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 checks2a, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 checks2a afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 fed, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 fed afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 slrevgdp, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 slrevgdp afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise

xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 checks2a fed slrevgdp, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 checks2a fed slrevgdp afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime checks2a fed slrevgdp, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime checks2a fed slrevgdp afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime fed, pairwise
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime fed afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, pairwise

/* Chapter 6: IMF */
xtpcse Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3 fed regime uu, pairwise

xtprobit uu Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Linflat Lvar9 Lreserve 
predict wooha
drop if wooha==.
gen puu=0
replace puu=1 if wooha>.5
gen diff=uu-puu
tab diff
drop wooha puu diff

treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 d1 d2 d3, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Linflat Lvar9 Lreserve)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 d1 d2 d3 regime, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Linflat Lvar9 Lreserve)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 regime fed, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Lvar9 Lreserve)

treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 d1 d2 d3 afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Lmarket Linflat Lvar9 Lreserve)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 d1 d2 d3 regime afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Lmarket Linflat Lvar9 Lreserve)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc overallb generalg d1 d2 d3 d1 d2 d3 regime fed afg alb alg and ang ant arg aru aus aust bah bahr ban bar bel beli ben ber bhu bol bot bra bru bul bur buru cam came can cap cay cen chad chan chi china hong col com congo conrep costa cote cuba cyp cze slovak den dji dom domrep eca egy elsal eri eth fae fiji fin fra fregui frepol gabon gam ger gha greece green gre guad guam guat guinea guinbis guy hai hond hung ice india indo iran iraq ire isle isr ita jam jap jor ken kiri korrep kordem kuw lao leb leso libe libya lux macao mada malaw malay mald mali malta marsh marti maurita mauriti mex may micro mong moro mozam myan namib nepal nether nethant newcal newzea nicara niger nigeria nor oman pak pan papu para peru phili pol port puer qatar reuni rom rwa stkitt stluc stvin samoa sau sene sey sie sing solo soma south spa sri sud sur swa swe swi syr tan tha togo tonga tri tun tur uga uae uk us uru armen azer belar eston georg kazakh kyrgyz latvia lithua moldov russia tajik turkmen ukraine uzbek vanu vene virg viet yem bosni croat macedo sloven zamb zimb, treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Lmarket Linflat Lvar9 Lreserve)

set matsize 800
drop if var254==.
sort var254 year
generate Fuu=F.uu
generate Luu=L.uu
set more off
gen Fvar5=F.var5
treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=regime lgdppc gdpgrow overallb  totaldeb  oilexpor transiti market)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=regime lgdppc gdpgrow overallb  totaldebt  oilexpor transiti market  reg_eap reg_eca reg_mena reg_sa reg_we reg_ssa reg_lac)

treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=regime lgdppc gdpgrow overallb  totaldebt  oilexpor transiti market inflat)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=regime lgdppc gdpgrow overallb  totaldebt  oilexpor transiti market inflat reg_eap reg_eca reg_mena reg_sa reg_we reg_ssa reg_lac)

treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=Luu regime lgdppc gdpgrow overallb  totaldebt  oilexpor transiti market)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=Luu regime lgdppc gdpgrow overallb  totaldebt  oilexpor transiti market  reg_eap reg_eca reg_mena reg_sa reg_we reg_ssa reg_lac)

treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3, treat (uu=Luu regime lgdppc gdpgrow overallb  totaldeb market reserves var9)
treatreg Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3 , treat (uu=Luu Lreg Llgdppc Lgdpgrow Loverall Ltotalde Lmarket Linflat Lvar9 Lreserve)

xtpcse Fvar5 var5 market gdpgrowt trade lgdppc regime overallb generalg d1 d2 d3 fed regime uu, pairwise
